THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-39905

Red-DiscordBot vulnerable to Incorrect Authorization in commands API

AssignerGitHub_M
Reserved2024-07-02
Published2024-07-11
Updated2024-07-12

Description

Red is a fully modular Discord bot. Due to a bug in Red's Core API, 3rd-party cogs using the `@commands.can_manage_channel()` command permission check without additional permission controls may authorize a user to run a command even when that user doesn't have permissions to manage a channel. None of the core commands or core cogs are affected. The maintainers of the project are not aware of any _public_ 3rd-party cog utilizing this API at the time of writing this advisory. The problem was patched and released in version 3.5.10.



MEDIUM: 5.3CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Problem types

CWE-863: Incorrect Authorization

Product status

>= 3.5.0, < 3.5.10
affected

References

https://github.com/Cog-Creators/Red-DiscordBot/security/advisories/GHSA-5jq8-q6rj-9gq4

https://github.com/Cog-Creators/Red-DiscordBot/pull/6398

https://github.com/Cog-Creators/Red-DiscordBot/commit/0b0b23b9717b40ed4f8715720b199417c8e89750

cve.org CVE-2024-39905

nvd.nist.gov CVE-2024-39905

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-39905
© Copyright 2024 THREATINT. Made in Cyprus with +